<?php 
 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
get_header(); ?>
<section class="pagecontent">
	<div class="ranking_page_banner">
	  	<div class="container">
	   <header class="page-header text-white">
		  <?php
		  the_archive_title( '<h1 class="page-title">', '</h1>' );
		  the_archive_description( '<div class="archive-description">', '</div>' );
		  ?>
	  </header>
	  <div class="doemaster-breadcrum">
	       <?php  if (function_exists('codemaster_breadcrumbs'))  codemaster_breadcrumbs();  ?>
	    </div>
	  </div>
	</div>
</section>
<section class="singlepage py-5">
  <div class="container">
  <div class="row content-row gx-5">
	<div class="content-area content-has-sidebar float-left col-xl-8 col-lg-8 col-md-12 col-sm-12">
    <div class="cat-site-content">
    <?php
    if ( have_posts() ) :
      while ( have_posts() ) :
        the_post();
        ?>
        <div class="mb-4">
        <article <?php post_class(); ?>>
		   <div class="border rounded post-thumbnail-responsive">
			<?php if(has_post_thumbnail()){ the_post_thumbnail( 'codemaster-custom-image-size' ); } else {
                echo '<img alt="Image not found" src="' . esc_url(get_stylesheet_directory_uri()). '/assets/images/not-found.webp" />';
            }  ?>
			</div>
          <header class="entry-header mt-2">
			<?php sanitize_title(the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' )); ?>
          </header><!-- entry-header -->
          <div class="entry-content">
              <?php echo wp_trim_words( get_the_content(), 30, '...' ); ?>
              <a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"> Read More</a>
          </div><!-- entry-content -->
        </article><!-- #post-## -->
        </div>
        <?php
        // If comments are open or we have at least one comment, load up the comment template.
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif;
      endwhile;
	  the_posts_navigation();
    else :
      get_template_part( 'content-none' );
    endif;
	?>
	</div><!-- site-content -->
    </div>
    <aside id="secondary" role="complementary" class="widget-area widget-has-sidebar sidebar-codemaster col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-4">
		    <div class="sidebar-fixed-inner sticky-top">
		    <?php get_sidebar(); ?>
	     	</div>
	</aside>
  </div>
  </div>
</section>
<?php get_footer(); ?>